# pcap_samp Struct Reference
[Exported Structures and Definitions]

This structure defines the information related to sampling. More...

`#include <remote-ext.h>`

## Data Fields
int | method
int | value

## Detailed Description

This structure defines the information related to sampling.

In case the sampling is requested, the capturing device should read only a subset of the packets coming from the source. The returned packets depend on the sampling parameters.

Warning:
  The sampling process is applied after the filtering process. In other words, packets are filtered first, then the sampling process selects a subset of the 'filtered' packets and it returns them to the caller.

Definition at line 380 of file remote-ext.h.

## Field Documentation

int method

Method used for sampling. Currently, the supported methods are listed in the Sampling Methods Section.

Definition at line 386 of file remote-ext.h.

int value

This value depends on the sampling method defined. For its meaning, please check at the Sampling Methods Section.

Definition at line 392 of file remote-ext.h.

The documentation for this struct was generated from the following file:

- remote-ext.h

documentation. Copyright (c) 2002-2005 Politecnico di Torino. Copyright (c) 2005-2009 CACE Technologies. All rights reserved.